# Read the status of your own dashboard action press

> Source: https://elaichi.ai/docs/api-reference/dashboards/dashboard/getdashboardactionpress/

`GET /dashboard/{id}/widget/{key}/invoke/{request_id}`

Resource: **Dashboard** · API: **Dashboards**

## Path parameters

- **`id`** _(string, required)_
  Resource id
- **`key`** _(string, required)_
  Widget key
- **`request_id`** _(string, required)_
  The request_id sent with the press

## Query parameters

- **`row_action`** _(string)_
  Row action key, with row_id
- **`row_id`** _(string)_
  Row id, with row_action

## Response body

- **`run`** _(object)_
  - **`run_id`** _(string)_
  - **`status`** _(string)_
  - **`console_path`** _(string)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/dashboard/<id>/widget/<key>/invoke/<request_id>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/dashboard/<id>/widget/<key>/invoke/<request_id>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/dashboard/<id>/widget/<key>/invoke/<request_id>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
